Program CStrPar1;


(* "String"-Parameter: Weitergabe an "CString"-Parameter geht schief. *)


Procedure Puts ( S: CString ); C;


Procedure KO ( Var R: Integer; S, T: CString );

begin (* KO *)
  Puts ( S );
end (* KO *);


Procedure OK ( S: String );

Var
  Foo: Integer;

begin (* OK *)
  KO ( Foo, S, 'foo' );
end (* OK *);


begin
  OK ( 'OK' );
end.
